# PetscFree3

Frees 3 chunks of memory obtained with PetscMalloc3()

### Input Parameter

| memory1 | - memory to free
| memory2 | - 2nd memory to free
| memory3 | - 3rd memory to free

### Synopsis

    PetscErrorCode PetscFree3(void *memory1,void *memory2,void *memory3)

Notes: Memory must have been obtained with PetscMalloc3()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree(), PetscMalloc3()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages